%bcond_without libudev

%lib_package va 1
%lib_package va-glx 1
%lib_package va-tpi 1
%lib_package va-x11 1
%lib_package va-egl 1

Name:      libva
Version:   1.0.15
Release:   1.2
Summary:   Video Acceleration (VA) API for Linux
Group:     System Environment/Libraries
License:   MIT
URL:       http://freedesktop.org/wiki/Software/vaapi
Source0:   http://cgit.freedesktop.org/libva/snapshot/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libtool
%{?with_libudev:BuildRequires: libudev-devel}
BuildRequires: libpciaccess-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libdrm-devel >= 2.4.20
BuildRequires: mesa-libGL-devel
Conflicts: libdrm < 2.4.23

Provides:  libva-freeworld = %{version}-%{release}
Obsoletes: libva-freeworld < %{version}-%{release}
Provides:  libva-utils = %{version}-%{release}
Obsoletes: libva-utils < %{version}-%{release}

%description
Libva is a library providing the VA API video acceleration API.

%prep
%setup -q

%build
autoreconf -i
%configure --disable-static \
           --enable-glx
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/avcenc
%{_bindir}/vainfo
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
#%{_bindir}/test_0*
#%{_bindir}/test_1*
%{_libdir}/dri/dummy_drv_video.so
#%{_libdir}/dri/i965_drv_video.so

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
